/****************************************************************************************
 * KF8A系列单片机	KF8A100EON_DEMO	开发板演示程序
 * 标    题: PWM5单边，半桥，全桥实验
 * 项目名: 04- PWM1&PWM2_Test
 * 开发环境：ChipON IDE
 * 版          本     ：V1.0 (2019/07/23)
 * 作 者: 上海芯旺微电子有限公司
 * 功能简述: 1.单边PWM，使能PWM5的PA5，做出频率50K，50%占空比的PWM信号
 * 功能简述: 2.半桥PWM，使能PWM5的PA5、P5B，做出频率30K，50%占空比的互补PWM信号
 * 硬件说明：
 * 跳线接法： 单片机供电跳帽选择为3.3V或5V
 ****************************************************************************************/
#include<KF8A100EON.h>
#include "include.h"

void Sys_Init(void)
{
	OSCCTL = 0x70;		//时钟配置为内部16M
	TR0=0;
	TR1=0;
	TR2=0;
	TR3=0;
	P0=0;
	P1=0;
	P2=0;
	P3=0;
}

void main()
{
	Sys_Init();

	#if	PWM5_MODE==PWM5_Signel
		PWM5_Signel_Init();
	#elif PWM5_MODE==PWM5_Half_Bridg
		PWM5_Half_Bridg_Init();
	#elif PWM5_MODE==PWM5_Full_Bridg
		PWM5_Full_Bridg_Init();
	#endif

	while(1)
	{

	}

}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{

}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
